Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84699 - serial mouse doesn't work
Summary: serial mouse doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 18:17 UTC by Pavel
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-25 10:24:21 UTC


Attachments (Terms of Use)
/etc/sysconfig/mouse (deleted)
2003-02-23 07:52 UTC, Pavel
no flags Details
XF86Config (deleted)
2003-02-23 07:54 UTC, Pavel
no flags Details

Description Pavel 2003-02-20 18:17:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3b) Gecko/20030219

I hope I chose the right component to file bug against.

Description of problem:
I have a MS serial mouse which works fine during phoebe installation. But after
the installation mouse doesn't work. Every time I run kudzu it  either detects
it as Generic Mouse or Microsoft Mouse 2.1 and after that mouse works. But if
restart gpm or reboot the machine, mouse doesn't work again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Serial mouse doesn't work
2.
3.
    

Actual Results:   

Expected Results:   

Additional info:

Comment 1 Matt Wilson 2003-02-20 19:30:33 UTC
attach /etc/sysconfig/mouse and /etc/X11/XF86Config


Comment 2 Pavel 2003-02-23 07:52:58 UTC
Created attachment 90288 [details]
/etc/sysconfig/mouse

Comment 3 Pavel 2003-02-23 07:54:02 UTC
Created attachment 90289 [details]
XF86Config

Comment 4 Matt Wilson 2003-10-16 20:23:52 UTC
Try changing:

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "Microsoft"
	Option	    "Device" "/dev/ttyS0"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

to:

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/ttyS0"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

Comment 5 Paul Nasrat 2004-08-25 10:24:21 UTC
Open a new bug if still occuring on Fedora Core 2 or later.


Note You need to log in before you can comment on or make changes to this bug.